Brivio API reference
Shipments

Refresh tracking from the courier and return the shipment with all events (scope: shipping:read)

GET
/shipments/{id}/tracking

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Shipment id

Formatuuid

Response Body

OK

application/json
  1. response
data*
error*null
curl -X GET "https://example.com/shipments/497f6eca-6276-4993-bfeb-53cbbbba6f08/tracking"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "courier": "sameday",    "status": "draft",    "awb_number": "string",    "service_code": "string",    "pickup_point_id": "4352e09f-57a9-4156-87bd-8d0c7a09f40e",    "order_id": "93101167-9065-4b9c-b98b-5d789a3ed9fe",    "invoice_id": "f4c4edb8-11e0-4b33-bcc1-482dc59ebb32",    "channel_order_id": "6152d25d-e5b5-4319-af08-d2371c6540e8",    "is_return": true,    "parcel_count": 0,    "weight_kg": 0,    "cod_amount": 0,    "cost": 0,    "has_label": true,    "sender": {},    "tracking_events": [      {        "status": "string",        "description": "string",        "at": "2019-08-24T14:15:22Z",        "location": "string"      }    ],    "last_tracked_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "error": null}